%define _srcname mplus_bitmap_fonts
%define _bdftopcf /usr/bin/bdftopcf
%define _mkfontdir /usr/bin/mkfontdir
%define _chkfontpath /usr/sbin/chkfontpath
%define _XFONTDIR /usr/share/X11/fonts/

%global momorel 6

Summary: M+ fonts for X11
Name: mplus
Version: 2.2.4
Release: %{momorel}m%{?dist}
License: Public Domain
Group: User Interface/X
URL: http://mplus-fonts.sourceforge.jp/
Source0: http://dl.sourceforge.jp/mplus-fonts/5030/%{_srcname}-%{version}.tar.gz 
NoSource: 0
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArchitectures: noarch
BuildPrereq: %{__perl}
BuildPrereq: %{__sed}
BuildPrereq: %{__awk}
BuildPrereq: xorg-x11-font-utils
BuildPrereq: xorg-x11-fonts-base
Prereq: chkfontpath-momonga, xorg-x11-fonts-base
Provides: mplus-fonts

%description
M+ fonts for X11.
Copyright (C) 2002 coz.
These fonts are free softwares.
Unlimited permission is granted to use, copy, and distribute it,
with or without modification,
either commercially and noncommercially.
THESE FONTS ARE PROVIDED "AS IS" WITHOUT WARRANTY.

%prep
%setup -q -T -c -n %{name} -b0
%{__mv} %{_srcname}-%{version}/* . && %{__rm} -rf %{_srcname}-%{version}

%build

#----- create fonts_e ------------------------------------------------
pushd fonts_e
%{__awk} '/^SWIDTH/{$2 += 80} /^DWIDTH/{$2 += 1} {print}' mplus_h12r.bdf | \
	%{__sed} 's/hlv/hlvw/' > mplus_h12rw.bdf
### italic
# for f in *.bdf ; do
# 	%{SOURCE2} $f > `echo $f| %{__sed} 's/\.bdf/i\.bdf/'`
# done
#
for f in *.bdf ; do
  %{_bdftopcf} $f | %{__gzip} -9 > %{_builddir}/%{name}/`basename $f .bdf`.pcf.gz
done

%{__cat} fonts.alias > %{_builddir}/%{name}/fonts.alias

### create euro fonts
for f in euro/mplus_*.diff
do
	b=`basename $f .diff`
	echo "create: $b-euro.pcf.gz"
	%{__cp} $b.bdf $b-euro.bdf
	%{__patch} $b-euro.bdf $f
	%{_bdftopcf} $b-euro.bdf | %{__gzip} -9 > %{_builddir}/%{name}/$b-euro.pcf.gz
done
echo "create: mplus_h12rw-euro.pcf.gz"
%{__awk} '/^SWIDTH/{$2 += 80} /^DWIDTH/{$2 += 1} {print}' \
	mplus_h12r-euro.bdf | %{__sed} 's/hlv/hlvw/' > mplus_h12rw-euro.bdf
%{_bdftopcf} mplus_h12rw-euro.bdf \
	| %{__gzip} -9  > %{_builddir}/%{name}/mplus_h12rw-euro.pcf.gz
%{__cat} euro/fonts.alias >> %{_builddir}/%{name}/fonts.alias
popd

#----- create fonts_j ------------------------------------------------
pushd fonts_j
for i in 10 12
do
	echo "create mplus_j${i}b.bdf"
	../mkbold -r -R mplus_j${i}r.bdf | %{__sed} 's/medium/bold/' > mplus_j${i}b.bdf
done

for f in mplus_[!j]*-jisx0201.diff
do
	echo $f
	b=`basename $f -jisx0201.diff`
	%{__cp} ../fonts_e/$b.bdf ./$b-jisx0201.bdf
	%{__patch} $b-jisx0201.bdf $f
done

### italic
# for f in *.bdf ; do
# 	%{SOURCE2} $f > `echo $f| %{__sed} 's/\.bdf/i\.bdf/'`
# done

for f in *.bdf ; do
  %{_bdftopcf} $f | %{__gzip} -9 > %{_builddir}/%{name}/`basename $f .bdf`.pcf.gz
done
%{__cat} fonts.alias >> %{_builddir}/%{name}/fonts.alias
popd

#---------------------------------------------------------------------
# create fonts.dir & fonts.alias
%{_mkfontdir} -e %{_XFONTDIR}encodings -e %{_XFONTDIR}encodings/large

%{__grep} '1990\-0' fonts.dir | \
	%{__sed} 's/1990\-0/1983-0/g'  >>  fonts.dir

### line counts
%{__grep} -v '^[0-9]\+$' fonts.dir | wc -l | %{__sed} 's/[[:space:]]//g' > fonts.dir.tmp
### fonts list
%{__grep} -v '^[0-9]\+' fonts.dir |  sort -t "-" -k1.7,1.7 -k4.2,4.2 -k5r,5r >> fonts.dir.tmp
%{__mv} -f fonts.dir.tmp fonts.dir

###  renaming
# %{__perl} -p -i -e 's|hlvw|helvetica wide|g' fonts.dir
# %{__perl} -p -i -e 's|hlv|helvetica|g' fonts.dir
# %{__perl} -p -i -e 's|fxd|fixed|g' fonts.dir
# %{__perl} -p -i -e 's|sys|system|g' fonts.dir

%install
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}
%{__mkdir_p} %{buildroot}%{_XFONTDIR}%{name}
%{__install} -m644 *.pcf.gz %{buildroot}%{_XFONTDIR}%{name}/
%{__install} -m644 fonts.dir %{buildroot}%{_XFONTDIR}%{name}/
%{__install} -m644 encodings.dir %{buildroot}%{_XFONTDIR}%{name}/
%{__install} -m644 fonts.alias %{buildroot}%{_XFONTDIR}%{name}/

%post
%{_chkfontpath} -q -a %{_XFONTDIR}%{name}

%postun
if [ "$1" = "0" ]; then
       %{_chkfontpath} -q -r  %{_XFONTDIR}%{name}
fi

%clean
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}

%files
%defattr(-, root,root)
%dir %{_XFONTDIR}%{name}
%{_XFONTDIR}%{name}/*
%doc INSTALL_* LICENSE_* README_*

%changelog
* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.2.4-6m)
- rebuild against rpm-4.6

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.2.4-5m)
- rebuild against gcc43

* Thu Feb 14 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (2.2.4-4m)
- %%NoSource -> NoSource

* Sun Apr 30 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.2.4-3m)
- change xorg-x11 -> xorg-x11-fonts-base

* Wed Apr  5 2006 zunda <zunda at freeshell.org>
- (kossori)
- added xorg-x11-fonts-base to buildprereq. -e option of mkfontdir 
  requires the directory to exsist.

* Sat Mar 25 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.2.4-2m)
- revise for xorg-7.0
- change install dir

* Wed Apr 13 2005 Yohsuke Ooi <meke@momonga-linux.org>
- (2.2.4-1m)
  update to 2.2.4

* Mon Aug 22 2004 Tsutomu Yasuda <tom@tom.homelinux.org>
- (2.2.2-1m)
  update to 2.2.2

* Sat Jan 10 2004 Shigeyuki Yamashita <shige@momonga-linux.org>
- (2.1.3-1m)

* Thu Dec 18 2003 Shigeyuki Yamashita <shige@momonga-linux.org>
- (2.1.2-1m)

* Sat Nov 22 2003 Shigeyuki Yamashita <shige@momonga-linux.org>
- (2.1.1-1m)

* Thu Oct 30 2003 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (2.1.0-1m)

* Tue Sep 30 2003 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (2.0.8-1m)

* Fri Sep 12 2003 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (2.0.7-1m)

* Fri Sep  5 2003 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (2.0.6-1m)

* Wed Aug 20 2003 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (2.0.5-1m)

* Sat Aug  9 2003 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (2.0.4-1m)
- update to upstream version.

* Wed Jul 16 2003 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (2.0.0-1m)
- update to upstream version.

* Sat Jun 28 2003 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (1.2.8-1m)
- update to upstream version.

* Wed Jun 25 2003 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (1.2.7-1m)
- update to upstream version.

* Mon Jun  9 2003 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (1.2.6-1m)
- update to upstream version.

* Fri May 30 2003 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (1.2.5-1m)
- update to upstream version.

* Mon May 19 2003 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (1.2.4-1m)
- update to upstream version.

* Tue Apr 29 2003 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (1.2.3-m)
- update to upstream version.

* Wed Apr 16 2003 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (1.2.2-1m)
- update to upstream version.
- I do not create italic fonts (from this release).

* Thu Feb  6 2003 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (1.1.0-1m)
- update 1.1.0
- make 'mplus_j12' bold font on build time.

* Tue Jan 21 2003 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (1.0.5-1m)
- update Fonts_J 1.0.5
- add proportional alias.

* Mon Jan 20 2003 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (1.0.4-3m)
- update Fonts_E 1.0.0

* Thu Jan 16 2003 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (1.0.4-2m)
- update Fonts_E 0.9.6.

* Sat Jan 11 2003 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (1.0.4-1m)
- update Fonts_J 1.0.4, Fonts_E 0.9.5

* Thu Jan  9 2003 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (1.0.3-3m)
- update Fonts_E 0.9.4

* Sat Jan  4 2003 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (1.0.3-2m)
- update Fonts_E 0.9.3

* Sat Dec 28 2002 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (1.0.3-1m)
- update Fonts_J 1.0.3

* Tue Dec 24 2002 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (1.0.2-2m)
- update Fonts_E 0.9.2

* Thu Dec 19 2002 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (1.0.2-1m)
- update Fonts_J 1.0.2
  fixed glyph name.
  modified some kanji characters.

* Sun Dec  8 2002 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (1.0.1-2m)
- update Fonts_J 1.0.1a (fix some Kanji characters)

* Wed Dec  4 2002 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (1.0.1-1m)
- modified some symbol,kanji characters.

* Thu Nov 28 2002 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (1.0.0.2m)
- Fonts_E version up to 0.9.0a
  (fix mplus_s10r.bdf's space character problem)

* Thu Nov 28 2002 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (1.0.0-1m)
- Version 1.0.0
  (Congratulations!! and thank you for Mr. coz.)
- added Fonts_E

* Thu Nov 21 2002 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (0.021120-0.021120.2m)
- update japanese font.
  Mr. coz reviewed a kanji character to "0x7426". (6963/6963)

* Wed Nov 20 2002 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (0.021120-0.021120.1m)
- update japanese font.
  Mr. coz reviewed a kanji character to "0x717E". (6769/6963)

* Tue Nov 19 2002 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (0.021119-0.021119.1m)
- update japanese font.
  Mr. coz reviewed a kanji character to "0x707E". (6675/6963)

* Sun Nov 17 2002 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (0.021117-0.021117.1m)
- update japanese font.
  Mr. coz reviewed a kanji character to "0x6E7E". (6487/6963)

* Tue Nov 12 2002 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (0.021112-0.021112.1m)
- update japanese font.
  Mr. coz reviewed a kanji character to "0x697E". (6017/6963)

* Sat Nov  9 2002 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (0.021109-0.021109.1m)
- update japanese font.
  Mr. coz reviewed a kanji character to "0x687E". (5923/6963)

* Wed Nov  6 2002 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (0.021106-0.021106.1m)
- update japanese font.
  Mr. coz reviewed a kanji character to "0x677E". (5829/6963)

* Sun Nov  3 2002 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (0.021103-0.021103.1m)
- update japanese font

* Sat Nov  2 2002 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (0.021101-0.021101.1m)
- update japanese font

* Thu Oct 31 2002 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (0.021030-0.021030.1m)
- update japanese font

* Tue Oct 29 2002 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (0.021029-0.021029.1m)
- update japanese font

* Sun Oct 27 2002 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (0.021026-0.021026.1m)
- update japanese font

* Sat Oct 26 2002 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (0.021025-0.021025.1m)
- update japanese font

* Thu Oct 24 2002 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (0.021023-0.021023.1m)
- update japanese font

* Mon Oct 21 2002 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (0.021021-0.021021.1m)
- update japanese font

* Sun Oct 20 2002 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (0.021020-0.021020.1m)
- update japanese font
- stopped "NoSource"

* Fri Oct 18 2002 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (0.021018-0.021018.1m)
- update japanese font

* Thu Oct 17 2002 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (0.021016-0.021016.1m)
- update japanese font

* Wed Oct 16 2002 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (0.021015-0.021015.1m)
- update japanese font

* Sun Oct 13 2002 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (0.021013-0.021013.1m)
- update japanese font

* Thu Oct 10 2002 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (0.021010-0.021010.1m)
- update japanese font

* Thu Oct 10 2002 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (0.021009-0.021009.1m)
- update japanese font

* Wed Oct  9 2002 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (0.021008-0.021008.1m)
- update japanese font

* Tue Oct  8 2002 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (0.021007-0.021007.1m)
- update japanese font

* Mon Oct  7 2002 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (0.021006-0.021006.1m)
- update japanese font

* Sun Oct  6 2002 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.021005-0.021005.1m)
- update japanese font

* Sat Oct  5 2002 YAMAZAKI Makoto <uomaster@nifty.com>
- (0.021003-0.021004.1m)
- update Japanese font

* Thu Oct  3 2002 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (0.021003-0.021003.1m)
- update Japanese font

* Wed Oct  2 2002 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (0.021002-0.021002.1m)
- update Japanese font

* Wed Sep 25 2002 smbd <smbd@momonga-linux.org>
- (0.020924-0.020924.1m)
- update Japanese font

* Sat Sep 21 2002 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (0.020921-0.020921.1m)
- update Japanese font

* Sat Sep 21 2002 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (0.020919-0.020919.1m)
- update Japanese font

* Wed Sep 18 2002 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (0.020917-0.020917.1m)
- update Japanese font

* Thu Sep 12 2002 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (0.020912-0.020912.1m)
- update Japanese font

* Tue Sep 10 2002 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (0.020910-0.020910.1m)
- update Japanese font

* Mon Sep  9 2002 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (0.020908-0.020908.1m)
- update Japanese font

* Wed Sep  4 2002 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (0.020902-0.020902.1m)
- update Japanese font

* Mon Sep  2 2002 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (0.020901-0.020901.1m)
- update Japanese font

* Fri Aug 30 2002 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (0.020829-0.020829.1m)
- update Japanese font

* Thu Aug 29 2002 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (0.020828-0.020828.1m)
- update Japanese font

* Sun Aug 25 2002 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (0.020825-0.020825.1m)
- update Japanese font

* Fri Aug 23 2002 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (0.020823-0.020823.1m)
- update Japanese font

* Wed Aug 21 2002 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (0.020821-0.020821.1m)
- update Japanese font

* Tue Aug 20 2002 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (0.020819-0.020819.1m)
- update Japanese font

* Thu Aug  8 2002 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (0.020812-0.020812.1m)
- update Japanese font

* Thu Aug  8 2002 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (0.020809-0.020809.1m)
- update Japanese font

* Thu Aug  8 2002 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (0.020808-0.020808.1m)
- update Japanese font

* Wed Aug  7 2002 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (0.020807-0.020807.1m)
- update Japanese font

* Wed Aug  7 2002 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (0.020806-0.020806.1m)
- update Japanese font

* Mon Aug  5 2002 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (0.020805-0.020805.1m)
- update Japanese font

* Sun Aug  4 2002 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (0.020803-0.020803.1m)
- update Japanese font

* Sat Aug  3 2002 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (0.020802-0.020802.1m)
- update Japanese font

* Fri Aug  2 2002 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (0.020801-0.020801.1m)
- update Japanese font

* Wed Jul 31 2002 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (0.020731-0.020731m)
- modified BuildPrereq

* Wed Jul 31 2002 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (0.020731-0.020731m)
- ver up.

* Mon Jul 29 2002 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (0.020729-0.020729m)
- create spec
